package gov.va.vinci.dart.json;

import gov.va.vinci.dart.json.atom.LinkListView;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name="person")
@XmlType(name="person", propOrder={
		"id",
		"name",
		"description",
		"fullName",
		"locationId",
		"locationName",
		"groups",
		"roles",
		"roleAndGroupList",
		"links"
})
public class PersonDetailsView {

	private int id;
	private String name;
	private String description;
	private String fullName;
	private int locationId;
	private String locationName;
	private GroupListView groups;
	private RoleListView roles;
	private RoleAndGroupListView roleAndGroupList;
	private LinkListView links;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public int getLocationId() {
		return locationId;
	}

	public void setLocationId(int locationId) {
		this.locationId = locationId;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

	public GroupListView getGroups() {
		return groups;
	}

	public void setGroups(GroupListView groups) {
		this.groups = groups;
	}

	public RoleListView getRoles() {
		return roles;
	}

	public void setRoles(RoleListView roles) {
		this.roles = roles;
	}

	public LinkListView getLinks() {
		return links;
	}

	public void setLinks(LinkListView links) {
		this.links = links;
	}

	public RoleAndGroupListView getRoleAndGroupList() {
		return roleAndGroupList;
	}

	public void setRoleAndGroupList(RoleAndGroupListView roleAndGroupList) {
		this.roleAndGroupList = roleAndGroupList;
	}

	
}
